Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Firefox 3.5+ out of ~ - any ideas when?
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
lyallp
Veteran
Veteran


Joined: 15 Jul 2004
Posts: 1400
Location: Adelaide/Australia

PostPosted: Tue Aug 18, 2009 11:50 am    Post subject: Firefox 3.5+ out of ~ - any ideas when? Reply with quote

Just wondering when FF 3.5 (or above) will be marked stable?
I am also curious as to why it's not stable now?
If it's some obscure app that I don't use has problems, then I may try moving over to ff in ~x86
_________________
...Lyall
Back to top
View user's profile Send private message
Yamakuzure
Advocate
Advocate


Joined: 21 Jun 2006
Posts: 2273
Location: Bardowick, Germany

PostPosted: Tue Aug 18, 2009 12:07 pm    Post subject: Reply with quote

Well, https://bugs.gentoo.org/buglist.cgi?quicksearch=firefox-3.5 shows 17 bugs right now, including hangs and segfaults. I guess those have to be resolved first.
_________________
Important German:
  1. "Aha" - German reaction to pretend that you are really interested while giving no f*ck.
  2. "Tja" - German reaction to the apocalypse, nuclear war, an alien invasion or no bread in the house.
Back to top
View user's profile Send private message
slackline
Veteran
Veteran


Joined: 01 Apr 2005
Posts: 1422
Location: /uk/sheffield

PostPosted: Tue Aug 18, 2009 12:17 pm    Post subject: Reply with quote

Try the following if you're uber keen and don't want to switch your whole platform to ~x86

Code:

emerge -av app-portage/autounmask
autounams -n www-client/firefox-2.5.2-r1
emerge -av firefox


Have to say I've found this version to be quite unstable, I can't even log in to the Gentoo forums with it, it just segfaults (although this could be an underlying problem with the new glibc).

slack
_________________
"Science is what we understand well enough to explain to a computer.  Art is everything else we do." - Donald Knuth
Back to top
View user's profile Send private message
lyallp
Veteran
Veteran


Joined: 15 Jul 2004
Posts: 1400
Location: Adelaide/Australia

PostPosted: Tue Aug 18, 2009 1:31 pm    Post subject: Reply with quote

Cool, thanks.
It's weird, cos I am using 3.5 on Windows, daily.
_________________
...Lyall
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7962
Location: ~Brussels - Belgique

PostPosted: Tue Aug 18, 2009 1:54 pm    Post subject: Reply with quote

I use it daily on Gentoo (~x86 and ~amd64) without any problems.
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
i92guboj
Bodhisattva
Bodhisattva


Joined: 30 Nov 2004
Posts: 10306
Location: Córdoba (Spain)

PostPosted: Tue Aug 18, 2009 2:10 pm    Post subject: Reply with quote

That you can use it daily doesn't mean anything about it's stability for the rest of the people. It would do us no good if the stability of packages was decided based on a single user, with a single machine or a single architecture and a single set of USE flags. The world is much broader and the bugs at bugzilla demonstrate it.

Packages only go into stable when they work for a reasonable number of persons (though in the case of firefox this is more like an utopia :twisted: ). The way that Gentoo set that criteria is: "when a package has been without any critical bug open for 30 days", so I'd say that it's still a bit until firefox 3.5 can be marked stable in Gentoo.
_________________
Gentoo Handbook | My website
Back to top
View user's profile Send private message
luqas
Guru
Guru


Joined: 02 Jan 2004
Posts: 588
Location: /US/Texas/Beaumont

PostPosted: Tue Aug 18, 2009 8:41 pm    Post subject: Reply with quote

I have been finding 3.5.x more unstable by the day. I have it lock up on different sites etc that I have always gone to . I am almost to the point of backing off, and it seems to get worst with every .x revision.
Back to top
View user's profile Send private message
tranquilcool
Veteran
Veteran


Joined: 25 Mar 2005
Posts: 1159

PostPosted: Tue Aug 18, 2009 10:47 pm    Post subject: Reply with quote

i can' only use firefox-bin. and even the firefox-bin crashes on many sites. esample archlinux site.
firefox seg faults on my system and i don't know why.
_________________
this is a strange strange world.


Last edited by tranquilcool on Wed Aug 19, 2009 5:33 am; edited 1 time in total
Back to top
View user's profile Send private message
Nerevar
l33t
l33t


Joined: 31 May 2008
Posts: 720

PostPosted: Tue Aug 18, 2009 11:39 pm    Post subject: Reply with quote

<sarcasm>Well, if the past is any indicator, 3.5 will go stable just before 3.0 goes EOL.</sarcasm>
Back to top
View user's profile Send private message
lyallp
Veteran
Veteran


Joined: 15 Jul 2004
Posts: 1400
Location: Adelaide/Australia

PostPosted: Thu Aug 20, 2009 12:57 pm    Post subject: Reply with quote

Wow, isn't that amazing!!

Firefox 3.5.2-r1 is out of ~

:-)
_________________
...Lyall
Back to top
View user's profile Send private message
tranquilcool
Veteran
Veteran


Joined: 25 Mar 2005
Posts: 1159

PostPosted: Thu Aug 20, 2009 1:46 pm    Post subject: Reply with quote

lyallp wrote:
Wow, isn't that amazing!!

Firefox 3.5.2-r1 is out of ~

:-)


seg faults for me always.
_________________
this is a strange strange world.
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Fri Aug 21, 2009 2:53 am    Post subject: Reply with quote

I don't have any problem right now, but I had some in the past.
Back to top
View user's profile Send private message
mikegpitt
Advocate
Advocate


Joined: 22 May 2004
Posts: 3221

PostPosted: Fri Aug 21, 2009 3:53 am    Post subject: Reply with quote

d2_racing wrote:
I don't have any problem right now, but I had some in the past.
I also upgraded this evening and have faced no problems so far. FF-3.5 seems a bit snappier which is nice, but not a huge difference. Now I jsut need to find a compatible theme that doesn't look terrible (always a challenge on FF version upgrades :roll: )
Back to top
View user's profile Send private message
Cyker
Veteran
Veteran


Joined: 15 Jun 2006
Posts: 1746

PostPosted: Fri Aug 21, 2009 6:17 am    Post subject: Reply with quote

Was going to try it but the damned thing NEEDS alsa-libs and dbus now for some reason so I've had to mask it. (This machine doesn't even have a soundcard!)

Thankfully I don't use Firefox much so it isn't a big thing, but I do hope that alsa and dbus get put back to optional dependencies rather than hard ones...

I was going to compile it but then I remembered why I use the binary version (The compiled one has an even more ridiculous dependency list!) :lol:
Back to top
View user's profile Send private message
krinn
Watchman
Watchman


Joined: 02 May 2003
Posts: 7059

PostPosted: Fri Aug 21, 2009 9:55 am    Post subject: Reply with quote

Using it too, well, this is certainly the most recent & upto date nagivator for browsing the web.
But it's also one crappy release :D
Maybe the QA guys were on holidays or they were push by IE, chrome... release, but result is more than bad.
Back to top
View user's profile Send private message
slackline
Veteran
Veteran


Joined: 01 Apr 2005
Posts: 1422
Location: /uk/sheffield

PostPosted: Fri Aug 21, 2009 9:58 am    Post subject: Reply with quote

Its also been marked as stable on PPC, but this results in a xulrunner version conflict if you have VLC installed....

Code:

# eix firefox
[U] www-client/mozilla-firefox
     Available versions:  2.0.0.19 3.0.11 3.0.13 ~3.5.2 3.5.2-r1 {alsa bindist custom-optimization dbus debug filepicker gnome hardened iceweasel ipv6 java linguas_af linguas_ar linguas_as linguas_be linguas_bg linguas_bn linguas_bn_BD linguas_bn_IN linguas_ca linguas_cs linguas_cy linguas_da linguas_de linguas_el linguas_en linguas_en_GB linguas_en_US linguas_eo linguas_es linguas_es_AR linguas_es_CL linguas_es_ES linguas_es_MX linguas_et linguas_eu linguas_fa linguas_fi linguas_fr linguas_fy linguas_fy_NL linguas_ga linguas_ga_IE linguas_gl linguas_gu linguas_gu_IN linguas_he linguas_hi linguas_hi_IN linguas_hr linguas_hu linguas_id linguas_is linguas_it linguas_ja linguas_ka linguas_kk linguas_kn linguas_ko linguas_ku linguas_lt linguas_lv linguas_mk linguas_ml linguas_mn linguas_mr linguas_nb linguas_nb_NO linguas_nl linguas_nn linguas_nn_NO linguas_oc linguas_or linguas_pa linguas_pa_IN linguas_pl linguas_pt linguas_pt_BR linguas_pt_PT linguas_rm linguas_ro linguas_ru linguas_si linguas_sk linguas_sl linguas_sq linguas_sr linguas_sv linguas_sv_SE linguas_ta linguas_ta_LK linguas_te linguas_th linguas_tr linguas_uk linguas_vi linguas_zh linguas_zh_CN linguas_zh_TW mozdevelop moznopango restrict-javascript startup-notification xforms xinerama xulrunner}
     Installed versions:  3.0.11(18:37:37 07/28/09)(dbus linguas_en_GB xulrunner -bindist -custom-optimization -gnome -iceweasel -java -linguas_af -linguas_ar -linguas_be -linguas_bg -linguas_bn -linguas_bn_IN -linguas_ca -linguas_cs -linguas_cy -linguas_da -linguas_de -linguas_el -linguas_en -linguas_en_US -linguas_eo -linguas_es -linguas_es_AR -linguas_es_ES -linguas_et -linguas_eu -linguas_fi -linguas_fr -linguas_fy -linguas_fy_NL -linguas_ga -linguas_ga_IE -linguas_gl -linguas_gu -linguas_gu_IN -linguas_he -linguas_hi -linguas_hi_IN -linguas_hu -linguas_id -linguas_is -linguas_it -linguas_ja -linguas_ka -linguas_kn -linguas_ko -linguas_ku -linguas_lt -linguas_lv -linguas_mk -linguas_mn -linguas_mr -linguas_nb -linguas_nb_NO -linguas_nl -linguas_nn -linguas_nn_NO -linguas_oc -linguas_pa -linguas_pa_IN -linguas_pl -linguas_pt -linguas_pt_BR -linguas_pt_PT -linguas_ro -linguas_ru -linguas_si -linguas_sk -linguas_sl -linguas_sq -linguas_sr -linguas_sv -linguas_sv_SE -linguas_te -linguas_th -linguas_tr -linguas_uk -linguas_zh -linguas_zh_CN -linguas_zh_TW -mozdevelop -restrict-javascript -startup-notification)
     Homepage:            http://www.mozilla.com/firefox
     Description:         Firefox Web Browser

# emerge -uDNa world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] dev-libs/nspr-4.8 [4.7.4] USE="ipv6 -debug" 0 kB
[ebuild     U ] dev-libs/nss-3.12.3-r1 [3.12.2] USE="-utils" 0 kB
[ebuild   R   ] dev-util/desktop-file-utils-0.15  USE="-emacs*" 0 kB
[ebuild     U ] x11-libs/cairo-1.8.8 [1.8.6-r1] USE="X glitz opengl svg xcb -cleartype -debug -directfb -doc" 0 kB
[ebuild     U ] media-sound/mpd-0.15.2 [0.15.1] USE="aac alsa bzip2 curl ffmpeg fifo flac id3 ipv6 lastfmradio mad network ogg oss unicode -ao -audiofile -avahi -cdio -cue -debug -fluidsynth -jack -lame -libmms -libsamplerate -mikmod -modplug -musepack -pipe -profile -pulseaudio -sid -sqlite -vorbis -wavpack -zip" 0 kB
[ebuild     U ] net-libs/xulrunner-1.9.1.2-r1 [1.9.0.11-r1] USE="alsa%* dbus python%* -custom-optimization -debug% -gnome -java -startup-notification" 0 kB
[ebuild     U ] www-client/mozilla-firefox-3.5.2-r1 [3.0.11] USE="alsa%* dbus -bindist -custom-optimization -gnome -iceweasel -java -mozdevelop -restrict-javascript -startup-notification (-xulrunner%*)" LINGUAS="en_GB -af -ar -as% -be -bg -bn -bn_BD% -bn_IN -ca -cs -cy -da -de -el -en -en_US -eo -es -es_AR -es_CL% -es_ES -es_MX% -et -eu -fa% -fi -fr -fy -fy_NL -ga -ga_IE -gl -gu -gu_IN -he -hi -hi_IN -hr% -hu -id -is -it -ja -ka -kk% -kn -ko -ku -lt -lv -mk -ml% -mn -mr -nb -nb_NO -nl -nn -nn_NO -oc -or% -pa -pa_IN -pl -pt -pt_BR -pt_PT -rm% -ro -ru -si -sk -sl -sq -sr -sv -sv_SE -ta% -ta_LK% -te -th -tr -uk -vi% -zh_CN -zh_TW (-zh%)" 0 kB
[ebuild     U ] xfce-extra/exo-0.3.102 [0.3.101-r1] USE="hal python -debug -doc -libnotify" 0 kB

Total: 8 packages (7 upgrades, 1 reinstall), Size of downloads: 0 kB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

net-libs/xulrunner:1.9

  ('ebuild', '/', 'net-libs/xulrunner-1.9.1.2-r1', 'merge') pulled in by
    >=net-libs/xulrunner-1.9.1.2[-java] required by ('ebuild', '/', 'www-client/mozilla-firefox-3.5.2-r1', 'merge')
    (and 1 more)

  ('installed', '/', 'net-libs/xulrunner-1.9.0.11-r1', 'nomerge') pulled in by
    <net-libs/xulrunner-1.9.1 required by ('installed', '/', 'media-video/vlc-0.9.10', 'nomerge')
    (and 1 more)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in the
dependencies of two different packages, then those packages can not be
installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man page
or refer to the Gentoo Handbook.


!!! The following installed packages are masked:
- xfce-base/xfce4-extras-4.4.2 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Samuli Suominen <ssuominen@gentoo.org> (09 Aug 2009)
# Outdated virtual for Xfce 4.4. Use eix to search for
# xfce plugins you want to install. This meta only covered
# old ones. Unnecessary maintaince burden for minor arches
# if we wanted to keep this up to date. Masked for removal.

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


Will be checking and filling a bug a bit later (must get on with some work now though!), should be easy enough to revise the VLC ebuild to use the new version of xulrunner I'd imagine though.

slack
_________________
"Science is what we understand well enough to explain to a computer.  Art is everything else we do." - Donald Knuth
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Fri Aug 21, 2009 11:47 am    Post subject: Reply with quote

mikegpitt wrote:
d2_racing wrote:
I don't have any problem right now, but I had some in the past.
I also upgraded this evening and have faced no problems so far. FF-3.5 seems a bit snappier which is nice, but not a huge difference. Now I jsut need to find a compatible theme that doesn't look terrible (always a challenge on FF version upgrades :roll: )


I use Noia theme.
Back to top
View user's profile Send private message
sunoterra
n00b
n00b


Joined: 04 Jun 2004
Posts: 43
Location: Michigan

PostPosted: Fri Aug 21, 2009 1:36 pm    Post subject: yesterday upgrade, today downgrade? Reply with quote

was performing my usual morning sync and check for updates, when i noticed there was a call for a downgrade of the firefox i just upgraded yesterday. =)

Code:

 Fri Aug 21 09:20:55  aenea ~ # emerge --alphabetical --ask --deep --update --verbose world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     UD] x11-libs/cairo-1.8.6-r1 [1.8.8] USE="X -cleartype -debug -directfb -doc glitz opengl svg xcb" 0 kB
[ebuild     U ] media-libs/gstreamer-0.10.23 [0.10.22] USE="-nls -test" 2,804 kB
[ebuild     U ] media-libs/gst-plugins-base-0.10.23 [0.10.22] USE="-debug -nls" 2,077 kB
[ebuild     U ] media-plugins/gst-plugins-alsa-0.10.23 [0.10.22] 0 kB
[ebuild     U ] media-plugins/gst-plugins-x-0.10.23 [0.10.22] 0 kB
[ebuild     U ] media-plugins/gst-plugins-xvideo-0.10.23 [0.10.22] 0 kB
[ebuild     U ] media-plugins/gst-plugins-ogg-0.10.23 [0.10.22] 0 kB
[ebuild     U ] media-plugins/gst-plugins-vorbis-0.10.23 [0.10.22] 0 kB
[ebuild     UD] net-libs/xulrunner-1.9.0.11-r1 [1.9.1.2-r1] USE="(-alsa%*) custom-optimization dbus (-debug%) -gnome java (-python%*) startup-notification" 0 kB
[ebuild     UD] www-client/mozilla-firefox-3.0.11 [3.5.2-r1] USE="(-alsa%*) -bindist custom-optimization dbus -gnome -iceweasel java mozdevelop -restrict-javascript startup-notification xulrunner%*" LINGUAS="-af -ar (-as%) -be -bg -bn (-bn_BD%) -bn_IN -ca -cs -cy -da -de -el en -en_GB -en_US -eo -es -es_AR (-es_CL%) -es_ES (-es_MX%) -et -eu (-fa%) -fi -fr -fy -fy_NL -ga -ga_IE -gl -gu -gu_IN -he -hi -hi_IN (-hr%) -hu -id -is -it -ja -ka (-kk%) -kn -ko -ku -lt -lv -mk (-ml%) -mn -mr -nb -nb_NO -nl -nn -nn_NO -oc (-or%) -pa -pa_IN -pl -pt -pt_BR -pt_PT (-rm%) -ro -ru -si -sk -sl -sq -sr -sv -sv_SE (-ta%) (-ta_LK%) -te -th -tr -uk (-vi%) -zh% -zh_CN -zh_TW" 0 kB

Total: 10 packages (7 upgrades, 3 downgrades), Size of downloads: 4,881 kB

Would you like to merge these packages? [Yes/No] no

Quitting.


ignoring at the moment. firefox 3.5.x is running fine for me. using it atm to post this forum reply.

guess i may have to author some temporary /etc/portage/package.mask entr(y|ies).
_________________
l33t/n00b
Back to top
View user's profile Send private message
mikegpitt
Advocate
Advocate


Joined: 22 May 2004
Posts: 3221

PostPosted: Fri Aug 21, 2009 1:49 pm    Post subject: Reply with quote

Yeah, I got that too... I was going to hold off on the update, but I got bored last night and decided to jump. I'm hoping it is temporary...
Back to top
View user's profile Send private message
BrentNorin
n00b
n00b


Joined: 31 Jan 2007
Posts: 60
Location: Akron, Ohio

PostPosted: Fri Aug 21, 2009 1:51 pm    Post subject: Reply with quote

Yeah 3.5 went stable for me yesterday ( 20th ) and today ( 21st ) it went unstable and wants to downgrade. ??
Back to top
View user's profile Send private message
sunoterra
n00b
n00b


Joined: 04 Jun 2004
Posts: 43
Location: Michigan

PostPosted: Fri Aug 21, 2009 1:59 pm    Post subject: looks like a revert to 3.0.x Reply with quote

on this discussion:

https://forums.gentoo.org/viewtopic-t-788832-highlight-firefox.html

V-Li (developer) mentioned that they reverted back to the 3.0.x for the issue mentioned in the above topic:

https://forums.gentoo.org/search.php?search_author=V-Li

:: edit ::
------------------------------------------------------------
for those firefox 3.5.x is working ok for, add these three lines:
Code:

=net-libs/xulrunner-1.9.1.2-r1 ~x86
=www-client/mozilla-firefox-3.5.2-r1 ~x86
=x11-libs/cairo-1.8.8 ~x86

to your /etc/portage/package.keywords for a temporary suspension of the downgrade.
_________________
l33t/n00b
Back to top
View user's profile Send private message
lyallp
Veteran
Veteran


Joined: 15 Jul 2004
Posts: 1400
Location: Adelaide/Australia

PostPosted: Sat Aug 22, 2009 5:20 am    Post subject: Reply with quote

Well, FF 3.5 is working just fine for me, although I have noticed a couple of downgrades again in todays update, particularly xulrunner + FF

:-(
_________________
...Lyall
Back to top
View user's profile Send private message
drescherjm
Advocate
Advocate


Joined: 05 Jun 2004
Posts: 2779
Location: Pittsburgh, PA, USA

PostPosted: Mon Aug 24, 2009 9:59 pm    Post subject: Reply with quote

lyallp wrote:
Well, FF 3.5 is working just fine for me, although I have noticed a couple of downgrades again in todays update, particularly xulrunner + FF

:-(


I would just mask versions less than 3.5 to prevent the downgrade. FF3.5 has been working fine for me since I installed it ~2 weeks after the windows version was released.
_________________
John

My gentoo overlay
Instructons for overlay
Back to top
View user's profile Send private message
sunoterra
n00b
n00b


Joined: 04 Jun 2004
Posts: 43
Location: Michigan

PostPosted: Tue Sep 01, 2009 3:48 pm    Post subject: Reply with quote

drescherjm wrote:

I would just mask versions less than 3.5 to prevent the downgrade. FF3.5 has been working fine for me since I installed it ~2 weeks after the windows version was released.


i tried the mask files and couldn't get it work. any working examples?

yesterday morning, i updated my /etc/portage.keywords file to:

Code:

net-libs/xulrunner ~x86
www-client/mozilla-firefox ~x86
x11-libs/cairo ~x86


so, it wasn't so version specific. portage was wanting to downgrade again, because the versions i specified were obsoleted and such.

building mozilla-firefox-3.5.2-r2 today.
_________________
l33t/n00b
Back to top
View user's profile Send private message
drescherjm
Advocate
Advocate


Joined: 05 Jun 2004
Posts: 2779
Location: Pittsburgh, PA, USA

PostPosted: Tue Sep 01, 2009 3:51 pm    Post subject: Reply with quote

Code:
echo "<www-client/mozilla-firefox-3.5.2" >> /etc/portage/package.mask

_________________
John

My gentoo overlay
Instructons for overlay
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum